Index: libpolys/reporter/COPYING
===================================================================
--- libpolys/reporter/COPYING	(revision 9a738f4ce36c0bdd95061c049961fac7b131c5be)
+++ libpolys/reporter/COPYING	(revision 9a738f4ce36c0bdd95061c049961fac7b131c5be)
@@ -0,0 +1,1 @@
+/sw/share/automake-1.11/COPYING
Index: libpolys/reporter/INSTALL
===================================================================
--- libpolys/reporter/INSTALL	(revision 9a738f4ce36c0bdd95061c049961fac7b131c5be)
+++ libpolys/reporter/INSTALL	(revision 9a738f4ce36c0bdd95061c049961fac7b131c5be)
@@ -0,0 +1,1 @@
+/sw/share/automake-1.11/INSTALL
Index: libpolys/reporter/Makefile.am
===================================================================
--- libpolys/reporter/Makefile.am	(revision 9a738f4ce36c0bdd95061c049961fac7b131c5be)
+++ libpolys/reporter/Makefile.am	(revision 9a738f4ce36c0bdd95061c049961fac7b131c5be)
@@ -0,0 +1,19 @@
+lib_LIBRARIES=libreporter.a libreporter_g.a
+
+AM_CFLAGS	= -O3 -w -fomit-frame-pointer ${PIPE}
+CXXTEMPLFLAGS	= -fno-implicit-templates --no-exceptions
+AM_CXXFLAGS	= -O3 -w -fomit-frame-pointer --no-rtti ${PIPE} ${CXXTEMPLFLAGS}
+INCLUDES	= -I${top_srcdir}/.. -I${top_srcdir}/../.. -I${top_builddir}/..
+AM_CPPFLAGS	= -DNDEBUG -DOM_NDEBUG -DHAVE_CONFIG_H
+
+SOURCES = dError.c reporter.cc
+
+libreporter_a_SOURCES = $(SOURCES)
+
+libreporter_a_includedir=$(includedir)/libpolys/reporter
+
+libreporter_a_include_HEADERS = reporter.h
+
+libreporter_g_a_SOURCES = $(SOURCES)
+
+libpolys_g_a_CXXFLAGS = -g -Wextra -Wall -pedantic -fdiagnostics-show-option -Wno-long-long
Index: bpolys/reporter/Makefile.in
===================================================================
--- libpolys/reporter/Makefile.in	(revision 6bec875c8867b15f03a3e57036653bb5cc8956ea)
+++ 	(revision )
@@ -1,88 +1,0 @@
-#################################################################
-###
-### Makefile for Singular
-###
-#################################################################
-
-SHELL		= /bin/sh
-
-##
-## various paths
-##
-top_srcdir	= @top_srcdir@
-prefix 		= @prefix@
-exec_prefix 	= @exec_prefix@
-libdir 		= @libdir@
-# includes are taken from here
-includedir	= @includedir@/reporter
-
-##
-## various programs
-##
-
-CXX		= g++
-INSTALL		= @INSTALL@
-INSTALL_PROGRAM	= @INSTALL_PROGRAM@
-INSTALL_DATA	= @INSTALL_DATA@
-MKINSTALLDIRS   = ./mkinstalldirs
-LN_S		= ln -s
-
-##
-## compiler and linker options
-##
-PIPE		= -pipe
-CFLAGS		= -O3 -w -fomit-frame-pointer ${PIPE}
-CXXFLAGS	= -O3 -w -fomit-frame-pointer --no-rtti ${PIPE}
-CXXTEMPLFLAGS	= -fno-implicit-templates --no-exceptions
-CPPFLAGS	= -I${top_srcdir}/.. -I${top_srcdir}/../..
-DEFS		= -DNDEBUG -DOM_NDEBUG -Dix86_Linux -DHAVE_CONFIG_H
-
-## End configuration dependend stuff
-#################################################################
-
-###
-### file sets
-###
-
-# normal C++ source files
-CXXSOURCES=reporter.cc
-
-# normal C source files
-CSOURCES=dError.c
-
-SOURCES=${CSOURCES} ${CXXSOURCES}
-
-HEADERS=reporter.h
-
-DISTFILES=${SOURCES} ${HEADERS}
-
-OBJS := $(CXXSOURCES:.cc=.o) $(CSOURCES:.c=.o)
-
-.cc.o:	
-	${CXX} ${CXXFLAGS} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFS} -c $<
-.c.o:
-	${CC} ${CFLAGS} ${CPPFLAGS} ${DEFS} -c $<
-
-libreporter.a: ${OBJS}
-	-rm -f libreporter.a
-	ar cr $@ $^
-
-all: libreporter.a
-
-install: all
-	${MKINSTALLDIRS} ${includedir}
-	${MKINSTALLDIRS} ${libdir}
-	${INSTALL_DATA} libreporter.a ${libdir}/libreporter.a
-	${INSTALL_DATA} reporter.h ${includedir}/reporter.h
-
-##
-## clean targest
-##
-mostlyclean: 
-	-rm -f *.o *.og core *.op
-
-clean: mostlyclean
-	-rm -f *.bak *.d *.dd depend *.a *.so*
-
-tags:   
-	ctags *.c *.h *.cc *.inc
Index: libpolys/reporter/configure.ac
===================================================================
--- libpolys/reporter/configure.ac	(revision 6bec875c8867b15f03a3e57036653bb5cc8956ea)
+++ libpolys/reporter/configure.ac	(revision 9a738f4ce36c0bdd95061c049961fac7b131c5be)
@@ -4,4 +4,5 @@
 AC_PREREQ(2.61)
 AC_INIT(FULL-PACKAGE-NAME, VERSION, BUG-REPORT-ADDRESS)
+AM_INIT_AUTOMAKE
 AC_CONFIG_SRCDIR([reporter.h])
 AC_CONFIG_HEADER([config.h])
@@ -12,4 +13,5 @@
 AC_PROG_LN_S
 AC_PROG_INSTALL
+AC_PROG_RANLIB
 
 # Checks for libraries.
@@ -49,28 +51,4 @@
 AC_SUBST(PIPE)
 
-dnl lllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllll
-dnl path stuff
-dnl
-
-project=singular
-component=reporter
-
-dnl set exec_prefix, libdir, includedir to some sensible values
-dnl if they are not yet already set
-
-# expand prefix
-test "x$prefix" = xNONE && prefix=$ac_default_prefix
-
-# expand exec_prefixad
-if test "x$exec_prefix" = xNONE; then
- exec_prefix=${prefix}
-fi
-
-# expand libdir
-test "x$libdir" = 'x${exec_prefix}/lib'&& libdir="${exec_prefix}/lib/${project}/${component}"
-
-# expand includedir
-test "x$includedir" = 'x${prefix}/include' && includedir="${exec_prefix}/include/${project}/${component}"
-
 AC_CONFIG_FILES([Makefile])
 AC_OUTPUT
